<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) )
	exit;

class Chatty_Account_Manage {

	// Outputs data below chat box, where user can log in/out
	public static function output() {

		global $chatty;

		

		$output = '
			<div class="chatty-account-manage">
		';

		if ( ! is_user_logged_in() ) :
			$output .= sprintf( __('You are currently not logged and random nickname has been assigned to you, you can %s to claim your unique nickname.', 'chatty'), '<a href="' . wp_login_url( get_permalink() ) . '" title="' . __( 'Login/Register', 'chatty' ) . '">' . __( 'Login/Register', 'chatty' ) . '</a>' );
		endif;
		
		$output .= '</div>';

		return $output;

	}

	// Outputs login required message
	public static function login_required() {

		$output = '
			<div class="chatty-login-required">
				' . sprintf( __('You are currently not logged in, please %s to chat', 'chatty'), '<a href="' . wp_login_url( get_permalink() ) . '" title="' . __( 'Login/Register', 'chatty' ) . '">' . __( 'Login/Register', 'chatty' ) . '</a>' ) . '
			</div>
			';

		return $output;

	}

}
